<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use Illuminate\Support\Facades\Route;

Route::post('discounts/discounts', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController::class, 'create'])->name('createDiscount');
Route::get('discounts/discounts/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController::class, 'get'])->name('getDiscount');
Route::put('discounts/discounts/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController::class, 'replace'])->name('replaceDiscount');
Route::delete('discounts/discounts/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController::class, 'delete'])->name('deleteDiscount');
Route::patch('discounts/discounts/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController::class, 'patch'])->name('patchDiscount');
Route::post('discounts/discounts:search', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController::class, 'search'])->name('searchDiscounts');
Route::post('discounts/discounts:mass-status-update', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController::class, 'massStatusUpdate'])->name('massDiscountsStatusUpdate');
Route::post('discounts/discounts:calculate-for-catalog', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController::class, 'calculateForCatalog'])->name('calculateForCatalog');
Route::post('discounts/discounts:calculate-for-checkout', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController::class, 'calculateForCheckout'])->name('calculateForCheckout');
Route::post('discounts/discount-offers', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountOffersController::class, 'create'])->name('createDiscountOffer');
Route::get('discounts/discount-offers/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountOffersController::class, 'get'])->name('getDiscountOffer');
Route::delete('discounts/discount-offers/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountOffersController::class, 'delete'])->name('deleteDiscountOffer');
Route::patch('discounts/discount-offers/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountOffersController::class, 'patch'])->name('patchDiscountOffer');
Route::post('discounts/discount-offers:search', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountOffersController::class, 'search'])->name('searchDiscountOffers');
Route::post('discounts/discount-brands', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountBrandsController::class, 'create'])->name('createDiscountBrand');
Route::get('discounts/discount-brands/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountBrandsController::class, 'get'])->name('getDiscountBrand');
Route::delete('discounts/discount-brands/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountBrandsController::class, 'delete'])->name('deleteDiscountBrand');
Route::patch('discounts/discount-brands/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountBrandsController::class, 'patch'])->name('patchDiscountBrand');
Route::post('discounts/discount-brands:search', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountBrandsController::class, 'search'])->name('searchDiscountBrands');
Route::post('discounts/discount-categories', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountCategoriesController::class, 'create'])->name('createDiscountCategory');
Route::get('discounts/discount-categories/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountCategoriesController::class, 'get'])->name('getDiscountCategory');
Route::delete('discounts/discount-categories/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountCategoriesController::class, 'delete'])->name('deleteDiscountCategory');
Route::patch('discounts/discount-categories/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountCategoriesController::class, 'patch'])->name('patchDiscountCategory');
Route::post('discounts/discount-categories:search', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountCategoriesController::class, 'search'])->name('searchDiscountCategories');
Route::post('discounts/discount-segments', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountSegmentsController::class, 'create'])->name('createDiscountSegment');
Route::get('discounts/discount-segments/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountSegmentsController::class, 'get'])->name('getDiscountSegment');
Route::delete('discounts/discount-segments/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountSegmentsController::class, 'delete'])->name('deleteDiscountSegment');
Route::patch('discounts/discount-segments/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountSegmentsController::class, 'patch'])->name('patchDiscountSegment');
Route::post('discounts/discount-segments:search', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountSegmentsController::class, 'search'])->name('searchDiscountSegments');
Route::post('discounts/discount-conditions', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountConditionsController::class, 'create'])->name('createDiscountCondition');
Route::get('discounts/discount-conditions/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountConditionsController::class, 'get'])->name('getDiscountCondition');
Route::delete('discounts/discount-conditions/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountConditionsController::class, 'delete'])->name('deleteDiscountCondition');
Route::patch('discounts/discount-conditions/{id}', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountConditionsController::class, 'patch'])->name('patchDiscountCondition');
Route::post('discounts/discount-conditions:search', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountConditionsController::class, 'search'])->name('searchDiscountConditions');
Route::get('discounts/discount-statuses', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController::class, 'getDiscountStatuses'])->name('getDiscountStatuses');
Route::get('discounts/discount-types', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountsController::class, 'getDiscountTypes'])->name('getDiscountTypes');
Route::get('discounts/discount-condition-types', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountConditionsController::class, 'getDiscountConditionTypes'])->name('getDiscountConditionTypes');
Route::get('discounts/discount-condition-type-props', [\App\Http\ApiV1\Modules\Discounts\Controllers\DiscountConditionsController::class, 'getDiscountConditionTypeProps'])->name('getDiscountConditionTypeProps');
Route::get('promo-codes/promo-code-statuses', [\App\Http\ApiV1\Modules\PromoCodes\Controllers\PromoCodesController::class, 'getPromoCodeStatuses'])->name('getPromoCodeStatuses');
Route::get('promo-codes/promo-code-types', [\App\Http\ApiV1\Modules\PromoCodes\Controllers\PromoCodesController::class, 'getPromoCodeTypes'])->name('getPromoCodeTypes');
Route::post('promo-codes/promo-codes', [\App\Http\ApiV1\Modules\PromoCodes\Controllers\PromoCodesController::class, 'create'])->name('createPromoCode');
Route::get('promo-codes/promo-codes/{id}', [\App\Http\ApiV1\Modules\PromoCodes\Controllers\PromoCodesController::class, 'get'])->name('getPromoCode');
Route::put('promo-codes/promo-codes/{id}', [\App\Http\ApiV1\Modules\PromoCodes\Controllers\PromoCodesController::class, 'replace'])->name('replacePromoCode');
Route::delete('promo-codes/promo-codes/{id}', [\App\Http\ApiV1\Modules\PromoCodes\Controllers\PromoCodesController::class, 'delete'])->name('deletePromoCode');
Route::patch('promo-codes/promo-codes/{id}', [\App\Http\ApiV1\Modules\PromoCodes\Controllers\PromoCodesController::class, 'patch'])->name('patchPromoCode');
Route::post('promo-codes/promo-codes:search', [\App\Http\ApiV1\Modules\PromoCodes\Controllers\PromoCodesController::class, 'search'])->name('searchPromoCodes');
